clear all
close all
%
load data_cx
%
% (X1,Y1) => grid for approximation with 1196 scalar samples
% (Xv,Yv) => grid for validation with 4641 scalar samples
%
% Alfa angle converted from radians to degrees
X1(2,:)=X1(2,:)*57.3;
Xv(2,:)=Xv(2,:)*57.3;
%
% Call to tracker
maxdeg=8;
tracker_options.nbind=100; % default value
tracker_options.nbgen=100; % default value
tracker_options.trace=2;
tracker_options.viewpoint=[-100 0];
[pop,best,fdata,fdesc,fsym,flfr]=tracker(X1,Y1,names,maxdeg,tracker_options);
plotapprox(Xv,Yv,names,flfr,tracker_options);
%
% Plot 3D surfaces
plosurfs(pop,best,X1,Y1,names,Xv,Yv);
%
% Plot Pareto fronts
plofronts(pop,best);
%
% User loop to analyse and plot any individual
loop=1;
fprintf('\n');
while loop    
 indiv = input('Individual to be displayed (press RETURN to terminate) ? ');
 if isempty(indiv), loop=0;
 else
  plosurfs(pop,indiv,X1,Y1,names,Xv,Yv);
  [fdata,fdesc,fsym,flfr]=pop2lfr(pop,indiv,names,X1);
 end
end
