function plofronts(pop,best)
figure;
subplot(2,2,1);
pareto_plot(pop.fitness,pop.nbnodes,best,'Number of nodes');
subplot(2,2,4);
pareto_plot(pop.fitness,pop.sumdeg,best,'Cumulative degree');
subplot(2,2,3);
pareto_plot(pop.fitness,pop.degmax,best,'Maximum degree');
subplot(2,2,2);
pareto_plot(pop.fitness,pop.nbreg,best,'Number of terms');

function pareto_plot(obj1,obj2,best,str)
x=[obj1 obj2];
x=ranking(x,2,0);
n=length(find(x(:,3)==1));
[x(1:n,1),ind]=sort(x(1:n,1),'ascend');
x(1:n,2)=x(ind,2);
fprintf('\n======Pareto non dominated solutions======\n');
fprintf('Individual    Fitness    %s\n',str);
mem=[];
for k=1:n
 i=find(obj1==x(k,1) & obj2==x(k,2),1);
 if ~isempty(find(mem==i)), continue; end
 mem(end+1)=i;
 fprintf('   %3d        %.6f         %3d\n',i,x(k,1),x(k,2));
end

obj1=log10(obj1);
obj1=max(obj1,-20);
x=[obj1 obj2];
x=ranking(x,2,0);
n=length(find(x(:,3)==1));
% Population
plot(obj2,obj1,'.','MarkerSize',20,'MarkerEdgeColor',[0 0 0]); hold on;
ylabel('Fitness   \fontsize{8}(Log_{10})','FontSize',12,'Fontweight','bold');
xlabel(str,'FontSize',12,'Fontweight','bold');
% Pareto front
plot(x(1:n,2),x(1:n,1),'.','MarkerSize',20,'MarkerEdgeColor',[1 0 0]); hold on;
[x(1:n,2),ind]=sort(x(1:n,2),'ascend');
x(1:n,1)=x(ind,1);
plot(x(1:n,2),x(1:n,1),'-r.'); hold on;
% Best fitness
plot(obj2(best),obj1(best),'o','linewidth',2,'MarkerSize',9,'MarkerEdgeColor',[0 0 1]); hold on;
legend('Final population','Non dominated individuals','Pareto front','Best fitness'); grid on;
