function plosurfs(pop,indiv,estival,estidata,names,valival,validata,options)
% estimation data
 estidata=estidata';
 n2=length(unique(estival(2,:)));
 n1=length(unique(estival(1,:)));
 x1=reshape(estival(1,:),n2,n1)';
 y1=reshape(estival(2,:),n2,n1)';
 z1=reshape(estidata,n2,n1)';
 % validation data
 validata=validata';
 n2=length(unique(valival(2,:)));
 n1=length(unique(valival(1,:)));
 x2=reshape(valival(1,:),n2,n1)';
 y2=reshape(valival(2,:),n2,n1)';
 z2=reshape(validata,n2,n1)';

 if nargin==7, options=[]; end
 if isfield(options,'axlim')
  axlim=options.axlim;
  if numel(axlim)~=6
   error('PLOSURFS: The variable options.axlim must be a 1x6 vector');
  end
  xmin=axlim(1); xmax=axlim(2); ymin=axlim(3); ymax=axlim(4); zmin=axlim(5); zmax=axlim(6); 
 else
  xmin=min(min(unique(valival(1,:))));
  xmax=max(max(unique(valival(1,:))));
  ymin=min(min(unique(valival(2,:))));
  ymax=max(max(unique(valival(2,:))));
  zmin=min(validata); zmax=max(validata);
 end
 if isfield(options,'viewpoint')
   viewpoint=options.viewpoint;
   if numel(viewpoint)~=2
     error('PLOSURFS: The variable options.viewpoint must be a 1x2 vector');
   end
 else, viewpoint=[0 0]; end
 
 [i,j,k]=analyze(pop,indiv);
 fprintf('\nIndividual #%d (%d nodes/%d terms/max degree %d/total degree %d)\n',indiv,pop.nbnodes(indiv),i,j,k);

 [expr1,expr2]=pop2display(pop,indiv);
 X1=x2; X2=y2;
 eval(['zest=' expr1 './' expr2 ';']);
 
 figure
 titre=['\fontsize{14}Coefficient C=f(' names{1} ',' names{2} ')'];
 subplot(2,2,1); surf(x2,y2,z2);
 ax=axis; ax(1)=xmin; ax(2)=xmax; ax(3)=ymin; ax(4)=ymax; ax(5)=zmin; ax(6)=zmax; axis(ax);
 view([-145 30]+viewpoint);
 title(['\fontsize{30}                         ',titre],'fontweight','bold');
 ylabel(names{2}); xlabel(names{1}); zlabel('Validation data');

 subplot(2,2,2); surf(x1,y1,z1);
 ax=axis; ax(1)=xmin; ax(2)=xmax; ax(3)=ymin; ax(4)=ymax; ax(5)=zmin; ax(6)=zmax; axis(ax);
 view([-145 30]+viewpoint);
 ylabel(names{2}); xlabel(names{1}); zlabel('Reference data');

 subplot(2,2,3); surf(x2,y2,zest);
 ax=axis; ax(1)=xmin; ax(2)=xmax; ax(3)=ymin; ax(4)=ymax; ax(5)=zmin; ax(6)=zmax; axis(ax);
 view([-145 30]+viewpoint);
 ylabel(names{2}); xlabel(names{1}); zlabel('Estimation data');

 erreur=zest-z2; errmax=max(max(abs(erreur)));
 subplot(2,2,4); surf(x2,y2,erreur);
 ax=axis; ax(1)=xmin; ax(2)=xmax; ax(3)=ymin; ax(4)=ymax; axis(ax);
 view([-145 30]+viewpoint);
 ax=axis; ax(5)=-errmax; ax(6)=errmax; axis(ax);
 ylabel(names{2}); xlabel(names{1}); zlabel('Estimation error');

 sse=erreur(:)'*erreur(:); std=sqrt(sse/length(erreur(:)));
 fprintf('Validation errors: Global=%e  -  RMS=%e  -  Max Local=%e\n',sse,std,errmax);
